<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.device.pms.mapper.majornetwork.RMpTargetWarnDMapper">

    <resultMap id="BaseResultMap" type="com.njcn.device.pms.pojo.po.RMpTargetWarnD">
            <id property="measurementPointId" column="measurement_point_id" jdbcType="VARCHAR"/>
            <id property="dataDate" column="data_date" jdbcType="DATE"/>
            <result property="isEffective" column="is_effective" jdbcType="TINYINT"/>
            <result property="isHarmonic" column="is_harmonic" jdbcType="TINYINT"/>
            <result property="isEvent" column="is_event" jdbcType="TINYINT"/>
            <result property="isWarn" column="is_warn" jdbcType="TINYINT"/>
            <result property="isVDevWarn" column="is_v_dev_warn" jdbcType="TINYINT"/>
            <result property="isFreqWarn" column="is_freq_warn" jdbcType="TINYINT"/>
            <result property="isUnbalanceWarn" column="is_unbalance_warn" jdbcType="TINYINT"/>
            <result property="isVWarn" column="is_v_warn" jdbcType="TINYINT"/>
            <result property="isFlickerWarn" column="is_flicker_warn" jdbcType="TINYINT"/>
            <result property="isSagWarn" column="is_sag_warn" jdbcType="TINYINT"/>
            <result property="isInterruptWarn" column="is_interrupt_warn" jdbcType="TINYINT"/>
    </resultMap>

    <sql id="Base_Column_List">
        measurement_point_id,data_date,is_effective,
        is_harmonic,is_event,is_warn,
        is_v_dev_warn,is_freq_warn,is_unbalance_warn,
        is_v_warn,is_flicker_warn,is_sag_warn,
        is_interrupt_warn
    </sql>
</mapper>
